
Application: gvSIG desktop - gvSIG bugs #2343
View resizes after adding layers
02/20/2014 12:54 PM - Manuel Madrid

Status: Closed % Done: 0%
Priority: Low Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category: Document view
Target version: 2.3.0-2401
Severity: Add-on version:
gvSIG version: 2.1.0 Add-on build:
gvSIG build: 2220 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: No Hito:
Add-on name: Unknown
Description

1. Launch gvSIG
2. Create a view
3. Open the view and maximize the window
4. Add a layer
5. Check that both horizontal and vertical scrool bars appeared

Additional information:

- Restoring the view window and maximizing it again fixes the problem.
- If the layer is loaded before maximizing the window, the problem doesn't appear.

This is not a critical issue but is quite annoying. It could be related with #1427

Related issues:
Related to Application: gvSIG desktop - gvSIG feature requests # 1427: View w... Closed 11/26/2012
Related to Application: gvSIG desktop - gvSIG bugs # 3565: maximizar vista ex... Closed 06/01/2015

Associated revisions
Revision 42302 - 09/12/2015 06:29 PM - Joaquín  del Cerro Murciano

refs #2343, modificado el calculo del tamaño de las ventanas hijas al redimensionarse la ventana MDI para que no tenga en cuenta las ventanas
maximizadas para el calculo del tamaño maximo.

History
#1 - 02/20/2014 01:11 PM - Álvaro Anguix
- Target version set to 2.2.0-2311-rc2

#2 - 02/26/2014 02:00 PM - Álvaro Anguix
- Assignee set to Ignacio Brodín
- Priority changed from High to Low
- Target version changed from 2.2.0-2311-rc2 to 2.1.0-2221-testing

#3 - 02/28/2014 02:57 PM - Álvaro Anguix
- Target version changed from 2.1.0-2221-testing to 2.2.0-2311-rc2
#4 - 04/04/2014 10:37 AM - Álvaro Anguix
- Assignee deleted (Ignacio Brodín)

#5 - 05/17/2014 08:42 PM - Antonio Falciano
- Target version changed from 2.2.0-2311-rc2 to 2.1.0-2259-rc3

This is a tedious issue because it happens very often and it affects the main gvSIG document, i.e. the view. So IMHO it should have a normal priority
at least. I was wondering why the target version changed to 2.2.0-rc1. 2.2.0-rc1??? Is it a typo or what?

#6 - 05/18/2014 09:50 PM - Álvaro Anguix
- Target version changed from 2.1.0-2259-rc3 to 2.2.0-2311-rc2

Please Antonio, don't change the target version of bugs. This bug is assigned post 2.1 because it has an impact and we have decided not to fix it now.

#7 - 01/28/2015 12:05 PM - Álvaro Anguix
- Target version deleted (2.2.0-2311-rc2)

#8 - 03/20/2015 10:07 AM - Antonio Falciano

Hi all,
is this ticket planned for 2.2 or above? I think that it's a strategic one in term of usability.

#9 - 03/20/2015 10:11 AM - Álvaro Anguix

Hi, Antonio. No, because it's not easy/quick solution and we must leave that for later.

#10 - 06/16/2015 10:01 AM - Álvaro Anguix
- Assignee set to Joaquín  del Cerro Murciano

#11 - 09/12/2015 06:26 PM - Joaquín  del Cerro Murciano
- Related to gvSIG bugs #3565: maximizar vista extensión erronea / wrong size for miximize view added

#12 - 09/12/2015 06:32 PM - Joaquín  del Cerro Murciano
- Target version set to 2.3.0-2401
- Status changed from New to Fixed

Creo que en un momento de inspiracion lo he arreglado, pero igual hay que hacer pruebas para ver que no pasa nada raro.
Habria que repasar los tickets relacionados para ver que ha pasado con ellos.

#13 - 10/15/2015 10:39 AM - Álvaro Anguix
- Status changed from Fixed to Closed
